{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('bundles/trillala/css/style.css') }}" rel="stylesheet" type="text/css" media="all" />
{% endblock %}

{% block body %}
    {% block fos_user_content %}{% endblock %}
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('bundles/trillala/js/jquery-2.2.3.min.js') }}"></script>
    <script>
        $('.form').find('input, textarea').on('keyup blur focus', function (e) {
            var $this = $(this),
                label = $this.prev('label');

            if (e.type === 'keyup') {
                if ($this.val() === '') {
                    label.removeClass('active highlight');
                } else {
                    label.addClass('active highlight');
                }
            } else if (e.type === 'blur') {
                if( $this.val() === '' ) {
                    label.removeClass('active highlight');
                } else {
                    label.removeClass('highlight');
                }
            } else if (e.type === 'focus') {

                if( $this.val() === '' ) {
                    label.removeClass('highlight');
                }
                else if( $this.val() !== '' ) {
                    label.addClass('highlight');
                }
            }

        });
    </script>
{% endblock %}